Workload Automation System Agent Platform Support Matrix

Workload Automation System Agent Platform Support Matrix
The platform support matrix in this topic provides information about the platforms that are supported by different versions of Workload Automation System Agent, whether they reside on premise or in the cloud. For information about products and platforms supported by the agent plug-ins, see Related Topics.
See the following platforms for information about operating systems supported by Release 12.0 of Workload Automation System Agent.
Best Practice:
The agent is available in 64-bit for most platforms, with only a 32-bit version available for the NonStop and IBM i platforms. You can run a 32-bit agent on a 64-bit operating system, as long as the 32-bit libraries are installed. The 64-bit version is recommended for installation; however, a 64-bit version can only be installed on a 64-bit operating system. 
  • The information presented here is current for operating systems that are currently supported by the vendor. Information related to an operating system no longer supported by the vendor is provided for historical purposes only.
  • Unless otherwise specified, the agent supports minor releases and other interim updates of the operating systems listed in the table. For example, for RHEL 7, you can assume the agent supports the following minor versions: 7.1, 7.2, 7.3 and so on.
Important:
For supported operating systems and agent architecture for prior releases, see that version's Workload Automation System Agent Platform Support Matrix.
Linux
Operating System Version
12.0.00
Amazon Linux 2
Red Hat Enterprise Linux 7 (x86_64)
4, 5
Oracle Enterprise Linux 8 (x86_64)
Oracle Enterprise Linux 7 (x86_64)
Oracle Enterprise Linux 6 (x86_64)
CentOS Linux 8 (x86_64)
CentOS Linux 7 (x86_64)
SUSE Linux Enterprise Server 15 (x86_64)
SUSE Linux Enterprise Server 12 (s390x)
SUSE Linux Enterprise Server 12.4+ (x86_64)
Red Hat Enterprise Linux 7 (ppc64)
SUSE Linux Enterprise Server 12.4+ (ppc64le)
Red Hat Enterprise Linux 8 (x86_64)
Red Hat Enterprise Linux 8 (ppc64le)
Red Hat Enterprise Linux 7 (ppc64le)
Red Hat Enterprise Linux 8 (s390x)
Red Hat Enterprise Linux 7 (s390x)
Red Hat Enterprise Linux 6 (x86_64)
Red Hat Enterprise Linux 6 (s390x)
Ubuntu Server 18.04 LTS (x86_64)
Ubuntu Server 16.04 LTS (x86_64)
UNIX
Operating System and Version
12.0.00
Hewlett Packard Enterprise HP-IA 11i v3 (11.31) (Itanium 64)
IBM AIX 7.1 TL5
IBM AIX 7.2 TL2+
Oracle Solaris 11 (X86)
Oracle Solaris 11 (SPARC 64)
Windows
Operating System and Version
12.0.00
Microsoft Windows Server 2019 Core
Microsoft Windows Server 2019
Microsoft Windows Server 2016 Core
Microsoft Windows Server 2016
Microsoft Windows 10 Professional (64-bit)
IBM i
Operating System and Version
12.0.00
(32-bit only)
IBM i 7.2 and higher
HP NonStop
Operating System and Version
12.0.00
(32-bit only)
HP Integrity NonStop J06.1x.x
HP Integrity NonStop J06.2x.x
HPE Integrity NonStop L16.05.x
Notes:
1.
Native 64-bit support. Agent for SAP plug-in is supported with Solaris 64-bit agent version.
2.
To run UNIX jobs on IBM i V7.2 PASE V7.2 and IBM i V7.3 PASE V7.3, the IBM XL C/C++ Runtime for AIX 13.1.3 is required.
3.
To run the PluginInstaller under Windows 10, you must open a Command Prompt running as administrator.
4.
For RHEL 7.6 install, you need to install fontconfig using “yum install fontconfig” to install the Agent successfully.
5.
For kernels RHEL 7: 3.10.0-514 and RHEL6: 2.6.32-696, a flaw in the kernel might prevent the agent from starting. Add the following setting to the agentparm.txt file to start the agent.
oscomponent.jvm.x.options=-Xss2m
Related Topics
Support Policy
Broadcom provides support for third-party vendor products only when the Broadcom product is supported and the vendor product is supported by the vendor. If a vendor discontinues support for a product, Broadcom no longer supports it.
You can engage Broadcom Support for Workload Automation products that: